bioperl-run (1.7.3-14) unstable; urgency=medium

  * update-kalign-invocation.patch: new.
    This change adjusts arguments passed to kalign to use stdin as input
    and stdout as output, per the new command version's usage
    instructions. (Closes: #1129866)
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/watch: rework to port to Github uscan template.

 -- Étienne Mollier <emollier@debian.org>  Mon, 09 Mar 2026 20:43:42 +0100

bioperl-run (1.7.3-13) unstable; urgency=medium

  * Revert "skip_tests_for_ncbi-blast+.patch: remove."
  * Revert "d/control: remove build dependency on ncbi-blast+-legacy."
  * update-blastdbcmd-error-output.patch: fix test regression.
    This patch updates the expected blastdbcmd error output parsed by the
    StandAloneBlastPlus.pm runner, fixing the corresponding test item in
    the maneuver.
    Thanks to Aaron M. Ucko (Closes: #1077454)

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Dec 2024 10:57:53 +0100

bioperl-run (1.7.3-12) unstable; urgency=medium

  * d/control: remove build dependency on ncbi-blast+-legacy.
    This skips the failing test reported in bug #1077454.
  * skip_tests_for_ncbi-blast+.patch: remove.
    The workaround in this patch gets to interfere with the test run once
    ncbi-blast+-legacy is not available anymore.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Nov 2024 22:41:27 +0100

bioperl-run (1.7.3-11) unstable; urgency=medium

  * d/control: restrict emboss build-dependency.
    emboss is not available anymore on 32-bit and big endian architectures.
    It is thus not possible anymore to test it in such context.
  * d/control: demote bioperl-run recommends to suggestions.
    emboss, hmmer and infernal are currently not available on some release
    architectures.  Demoting them helps getting the autodep8 perl test
    back on tracks at least on s390x.
  * d/control: demote tigr-glimmer to suggestion.
  * d/control: also restrict tigr-glimmer build-deps architecture set.

 -- Étienne Mollier <emollier@debian.org>  Sat, 27 Apr 2024 21:48:57 +0200

bioperl-run (1.7.3-10) unstable; urgency=medium

  * d/control: restrict some build-deps to amd64.
    Following 64-bit time_t transition, ncbi tools have been limited to
    64-bit architectures.  This fixes package building aod one of the
    autodep8 perl autopkgtests.  This change is intended to facilitate the
    transition timely.
  * d/control: demote several packages as suggestions.
    This fixes autodep8 perl autopkgtest base checking the installability
    of recommendations; it could have been better to skip it but the
    mecanisme to proceed to the skip occurs after the failure to install
    missing recommends on architectures not supporting them.

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Mar 2024 21:05:23 +0100

bioperl-run (1.7.3-9) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix test data in BEDtools test
  * Fix upstream source download name in watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/bioperl-run.lintian-overrides on
    line 2-6.

  [ Étienne Mollier ]
  * d/control: depend on libsoap-lite-perl.
  * d/t/p/smoke-skip: skip test only suitable for build time.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Jan 2023 12:26:27 +0100

bioperl-run (1.7.3-8) unstable; urgency=medium

  * Replace skip_tests_for_muscle.patch by adjust-muscle-test.patch.
    Integration of newer muscle version in debian changed the code path in
    the way the test may be skipped, breaking autopkgtest of bioperl-run.
  * Move libmodule-build-perl from Build-Depends-Indep to Build-Depends.

 -- Étienne Mollier <emollier@debian.org>  Thu, 10 Feb 2022 20:44:28 +0100

bioperl-run (1.7.3-7) unstable; urgency=medium

  * d/watch: fix broken link to github and adjust version mangling to fit
    upstream's tagging convention (tag "release-x-y-z" for version "x.y.z")
  * adjust lintian override on bp_bioperl_application_installer.pl file
    extension, which is not provided anymore
  * add fix-whatis-entries.patch; fixes lintian warnings on bad-whatis-entry
    by providing a convenient description in the NAME field where needed
  * add unscramble-erpin.patch; fixes a kind of typo in ERPIN.pm documentation,
    flagged by lintian warning national-encoding
  * add fix-pod-conversion.patch; address the lintian warning
    pod-conversion-message affecting Bio::DB::SoapEUtilities::Result.
  * d/control: add myself to uploaders
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Sep 2021 18:52:51 +0200

bioperl-run (1.7.3-6) unstable; urgency=medium

  * Team upload.
  * d/control: restrict build-dependencies to their supported architectures.
  * added skip-test-for-kalign.patch

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 06 Jan 2021 22:38:23 +0100

bioperl-run (1.7.3-5) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Add build-dep on libfile-sort-perl as that has arrived in Debian
  * debian/upstream/metadata: Add Repository & Repository-Browse

  [ Pranav Ballaney ]
  * Disable tests for RemoteBlast
  * Disable tests for RemoteBlast_rpsblast
  * Extract BEDTools version properly

  [ Andreas Tille ]
  * Depends: libfile-sort-perl
    Closes: #974168
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

  [ Étienne Mollier ]
  * Add get-overlap.patch to map to the proper "getOverlap" wrapper.
  * Add build time test dependencies to get BEDtools test data sets.
  * Add alternate-data.patch to use a dataset available in the Debian
    archive during build time testings.
  * Suppress retries when attempting to access remote Blast resources,
    this prevents hogging autopkgtest runners ten more minutes.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 03 Dec 2020 21:57:37 +0100

bioperl-run (1.7.3-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Fix the autopkgtests
  * Set 'Bio::Factory::EMBOSS' as the main module name for the purpose of
    the use.t autopkgtest
  * fix hyphympi autopkgtests
  * libipc-run-perl is needed for Bio::Tools::Run::BEDTools
  * drawgram is pary of the phylip package

  [ Pranav Ballaney ]
  * Change kalign command string to input via stdin It fails to take input
    via the -in flag during testing
  * Revert changes made outside of debian/
  * Update quilt version
  * Kalign takes input via a pipe
  * Extract Kalign version properly (Closes: #954511)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Wrap long lines in changelog entries: 1.7.2-1.
  * Set upstream metadata fields: Bug-Submit.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 31 Mar 2020 01:13:25 +0530

bioperl-run (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * Depends: libbio-tools-run-alignment-clustalw-perl (Closes: #948323)
  * Depends: libbio-featureio-perl

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Jan 2020 12:07:09 +0100

bioperl-run (1.7.3-2) unstable; urgency=medium

  * Depends: libbio-tools-run-alignment-clustalw
  * Build-Depends / Recommends: s/blast2/ncbi-blast+-legacy/
    Closes: #948082
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 17:49:32 +0100

bioperl-run (1.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Drop dependencies: bowtie, bwa, maq, t-coffee, gmap, paml
    Thanks for the hint to Carnë Draug <carandraug+dev@gmail.com>)
  * Versioned (Build-)Depends: bioperl (>= 1.7.4)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Feb 2019 22:14:53 +0100

bioperl-run (1.7.2-4) unstable; urgency=medium

  * (Build-)Depends: ncoils
  * do not run tests parallel to get sensibly sorted output
  * Allow MPI oversubscription (as in phyml build since phyml caused
    problems inside build time tests)
    This is also not reliable - skip phyml test at all
    Closes: #906337
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix Homepage
  * Lintian-override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 20:10:08 +0200

bioperl-run (1.7.2-3) unstable; urgency=medium

  * Drop adjust_bowtie_tests.patch, Closes: #887578
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 26 Jan 2018 10:43:45 +0100

bioperl-run (1.7.2-2) unstable; urgency=medium

  * Team upload
  * Add adjust_bowtie_tests.patch fixing failing tests for Bowtie
    Closes: #880347
  * Bump Standards-Version to 4.1.2, apply cme fix dpkg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Dec 2017 18:19:04 +0100

bioperl-run (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Convert packaging from SVN to Git
  * For some reason Ensembl.t test is executed in autopkgtest run even if it
    should be skipped due to missing preconditions
    (http://search.cpan.org/~cjfields/Bio-EUtilities-1.72/lib/Bio/DB/EUtilities.pm)
    The test will now be fully removed to make sure it is skipped.
  * Standards-Version: 4.1.0 (no changes needed)
  * Do not try to run bowtie tests with wrong bowtie call
    Closes: #868073

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2017 14:29:45 +0200

bioperl-run (1.7.1-3) unstable; urgency=medium

  * s/Conflicts/Breaks/
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 08:25:26 +0100

bioperl-run (1.7.1-2) unstable; urgency=medium

  * Conflicts: libbio-perl-perl (<< 1.7.1-1)
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jan 2017 21:10:54 +0100

bioperl-run (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-perl
  * cme fix dpkg-control
  * Enable lots of tests
  * Module Bio::Tools::Run::WrapperBase was taken over from BioPerl into
    bioperl-run in commit acd57a7d14112c5fd2cd979005b072efdaf57679 which is
    taken over in quilt patch
  * Fix homepage
  * d/watch:
     - version=4
     - Fix versionmangling
  * Build-Depends: raxml
  * Update copyright
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2016 21:24:05 +0100

bioperl-run (1.6.9-3) unstable; urgency=medium

  [ Charles Plessy ]
  * Build-depend on libmodule-build-perl, Closes: #788888.

  [ Andreas Tille ]
  * Compliant with Standards-Version: 3.9.6

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jun 2015 20:05:10 +0900

bioperl-run (1.6.9-2) unstable; urgency=low

  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - debhelper 9
  * debian/README.source: removed because redundant
  * debian/copyright: DEP5
  * debian/watch: Point download location to github which provides more
    reliable version numbering than CPAN which would have needed a more
    complex version mangling
  * refreshed quilt patches to get rid of fuzz

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 10:03:29 +0100

bioperl-run (1.6.9-1) unstable; urgency=low

  * New upstream release.
  * Converted and validated debian/copyright to latest machine-readable format.
  * debian/control:
    - Refreshed the list of packages for which wrappers are provided, in the
      Suggests field as well as in an experimental Build-Recommends field.
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.
  * Point debian/watch to CPAN.
  * Tiny style with Debhelper 8 (debian/rules, debian/compat, debian/control).
  * Split scripts in bioperl-run and modules in libbio-perl-run-perl.
    (debian/rules, debian/control, debian/bioperl-run.install,
    debian/libbio-perl-run-perl.install)
  * debian/rules, debian/patches/series, debian/control:
    - debian/patches/install-scripts.patch for non-interactive script install.
    - debian/patches/Use-system-s-Perl.patch against /usr/local/bin/perl.
    - debian/patches/Some-spellchecking.patch.
  * Trigger network tests with DEB_MAINTAINER_MODE (debian/rules,
    debian/README.test).

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jun 2011 13:21:36 +0900

bioperl-run (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-wrong-path-for-interpreter.patch: removed
    (fixed upstream).
  * debian/watch updated (bioperl -> BioPerl).
  * debian/rules refreshed with dh-make-perl 0.53.
    - Disabled installation of examples (removed upstream).
    - Removed the correction of file permission of Pise documentation
      (removed upstream).
    - Removed patching facilities (no patches anymore).
    - Disabled tests as I experience failures with t/Eponine.t despite
      this program is not installed.
  * debian/copyright:
    - Removed vanity lines about debianization and debian copyright.
    - Incremented years to 2009.
    - Updated to latest experimentation of the machine-readable license summary.
  * debian/control:
    - Incremented Standards-Version to reflect conformance on new Policy
      (dropped versionned build-dependancy on Perl).
    - Removed build-dependancy on quilt (no patches anymore).
    - Depend and Build-Depend on bioperl versions superior or equal to 1.6.0.
    - Build-depends on, and Recommdnes libalgorithm-diff-perl, libipc-run-perl,
      libio-string-perl and libxml-twig-perl, that are listed in DEPENDANCIES.
    - Build-depends on libarray-compare-perl and libtree-dagnode-perl
      (otherwise tests fail).
    - Depend on amap-align instead of amap (Closes: #541274).

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 11:00:03 +0900

bioperl-run (1.5.2.100-1) unstable; urgency=low

  * Initial Release (Closes: #505112).

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Nov 2008 09:11:17 +0900
